Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Newer
Older
100644 26 lines (21 sloc) 0.981 kB
4009d8d @winton No longer ignoring gemspec
authored
1 # -*- encoding: utf-8 -*-
b1e78b3 @winton Gems not getting any files (oops)
authored
2 root = File.expand_path('../', __FILE__)
1b3ee7b @winton Gems not getting any files (oops)
authored
3 lib = "#{root}/lib"
7e8a9b6 @winton Trying Bundler again
authored
4
a94936f @winton No longer need Gems.config.testing option, making gemspec so it can b…
authored
5 $:.unshift lib unless $:.include?(lib)
6
4009d8d @winton No longer ignoring gemspec
authored
7 Gem::Specification.new do |s|
ae5da8a @winton First commit
authored
8 s.name = "execache"
61c30bf @winton Version 0.2.0 - The great rewrite
authored
9 s.version = '0.2.0'
7e8a9b6 @winton Trying Bundler again
authored
10 s.platform = Gem::Platform::RUBY
9f6873d @winton Working, untested
authored
11 s.authors = [ "Winton Welsh" ]
12 s.email = [ "mail@wintoni.us" ]
13 s.homepage = "http://github.com/winton/execache"
14 s.summary = %q{Run commands in parallel and cache the output, controlled by Redis}
15 s.description = %q{Run commands in parallel and cache the output. Redis queues jobs and stores the result.}
4009d8d @winton No longer ignoring gemspec
authored
16
c396762 @winton Executables not being added in gemspec
authored
17 s.executables = `cd #{root} && git ls-files bin/*`.split("\n").collect { |f| File.basename(f) }
b1e78b3 @winton Gems not getting any files (oops)
authored
18 s.files = `cd #{root} && git ls-files`.split("\n")
eca33a4 @winton New system for specifying gem versions, gemspec info, activating gems
authored
19 s.require_paths = %w(lib)
b1e78b3 @winton Gems not getting any files (oops)
authored
20 s.test_files = `cd #{root} && git ls-files -- {features,test,spec}/*`.split("\n")
5e2dd99 @winton Removing bundler from lib file
authored
21
22 s.add_development_dependency "rspec", "~> 1.0"
9f6873d @winton Working, untested
authored
23
24 s.add_dependency "redis", "~> 2.2.2"
25 s.add_dependency "yajl-ruby", "~> 1.0.0"
4009d8d @winton No longer ignoring gemspec
authored
26 end
Something went wrong with that request. Please try again.